# TODO: %{_bindir}/event_rpcgen.py - rename to event_rpcgen?
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libevent - an event notification library
Summary(pl.UTF-8):	libevent - biblioteka powiadamiająca o zdarzeniach
Name:		libevent
Version:	2.0.21
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://github.com/downloads/libevent/libevent/%{name}-%{version}-stable.tar.gz
# Source0-md5:	b2405cc9ebf264aa47ff615d9de527a2
Patch0:		%{name}-fpm.patch
Patch1:		%{name}-link.patch
URL:		http://libevent.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Obsoletes:	libevent-dietlibc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. It is meant to replace the asynchronous event loop
found in event-driven network servers.

%description -l pl.UTF-8
API libevent dostarcza mechanizm do wykonywania funkcji callback,
kiedy nastąpiło określone zdarzenie w deskryptorze pliku lub po
określonym czasie. Ma to na celu zastąpienie asynchronicznych pętli w
sterowanych zdarzeniami usługach sieciowych.

%package devel
Summary:	Header files for libevent library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libevent
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel

%description devel
Header files for libevent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libevent.

%package static
Summary:	Static libevent library
Summary(pl.UTF-8):	Statyczna biblioteka libevent
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libevent library.

%description static -l pl.UTF-8
Statyczna biblioteka libevent.

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libevent-2.0.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libevent-2.0.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libevent.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README
%attr(755,root,root) /%{_lib}/libevent-2.0.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libevent-2.0.so.5
%attr(755,root,root) %{_libdir}/libevent_core-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_core-2.0.so.5
%attr(755,root,root) %{_libdir}/libevent_extra-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_extra-2.0.so.5
%attr(755,root,root) %{_libdir}/libevent_openssl-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_openssl-2.0.so.5
%attr(755,root,root) %{_libdir}/libevent_pthreads-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_pthreads-2.0.so.5

%files devel
%defattr(644,root,root,755)
# R: python
%attr(755,root,root) %{_bindir}/event_rpcgen.py
%attr(755,root,root) %{_libdir}/libevent.so
%attr(755,root,root) %{_libdir}/libevent_core.so
%attr(755,root,root) %{_libdir}/libevent_extra.so
%attr(755,root,root) %{_libdir}/libevent_openssl.so
%attr(755,root,root) %{_libdir}/libevent_pthreads.so
%{_libdir}/libevent.la
%{_libdir}/libevent_core.la
%{_libdir}/libevent_extra.la
%{_libdir}/libevent_openssl.la
%{_libdir}/libevent_pthreads.la
%dir %{_includedir}/event2
%{_includedir}/event2/*.h
%{_includedir}/evdns.h
%{_includedir}/event*.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/evutil.h
#%%{_mandir}/man3/evdns.3*
#%%{_mandir}/man3/event.3*
%{_pkgconfigdir}/libevent.pc
%{_pkgconfigdir}/libevent_openssl.pc
%{_pkgconfigdir}/libevent_pthreads.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libevent.a
%{_libdir}/libevent_core.a
%{_libdir}/libevent_extra.a
%{_libdir}/libevent_openssl.a
%{_libdir}/libevent_pthreads.a
%endif
%changelog
* Tue Feb 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libevent.git;a=log;h=master

* Tue Feb 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b651eab
- up to 2.0.21

* Wed Jan 18 2012 Jan Rękorajski <baggins@pld-linux.org> a999810
- rel 2
- moved libevent to / for NFS idmapd

* Sat Oct 01 2011 Jakub Bogusz <qboosh@pld-linux.org> b1fb8cb
- updated event_rpcgen todo

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> 763304c
- updated to 2.0.14

* Thu Sep 22 2011 bszx <bszx@pld-linux.org> 0aefbee
- updated to 2.0.13

* Mon Jul 25 2011 Elan Ruusamäe <glen@pld-linux.org> cdd4e85
- restore (libevent-1.4.14.fb-changes.diff from hiphop-php/src/third_party)

* Tue Jun 07 2011 lisu <lisu@pld-linux.org> 9969752
- updated for 2.0.12

* Tue Jun 07 2011 lisu <lisu@pld-linux.org> 2a9f7cf
- updated to 2.0.12

* Sat Mar 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 7cf3abb
- package docs, including LICENSE

* Mon Feb 28 2011 duddits <duddits@pld-linux.org> bf8a534
- commit log update (regarding dietlibc subpackage)

* Sun Feb 27 2011 Karol Krenski <charles@pld-linux.org> f0c985c
- updated BRs

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 4fe092b
- restore rev 1.38
- O: libevent-dietlibc
- rel 2

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 37a37cf
- ooops, reverse

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 1a4bd7a
- Obsoletes libevent-dietlibc
- rel 2

* Thu Feb 24 2011 duddits <duddits@pld-linux.org> 96b9209
- bump to rel.1
- dietlibc dropped, ACK from baggins

* Thu Feb 24 2011 duddits <duddits@pld-linux.org> 6211415
- obsoleted

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> af782ce
- adjust for 2.0.10

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> daa02bb
- restore -link.patch and adjust it for 2.0.10 version

* Thu Feb 24 2011 duddits <duddits@pld-linux.org> 1cb13d8
- merged from DEVEL to fit update

* Thu Feb 24 2011 duddits <duddits@pld-linux.org> d108ad9
- merge from DEVEL (successful one I hope)
- this has rel. 0.1, just check if it works and we can bump it to 1
- some clean up

